Change log for csvkit package in Ubuntu

17 of 7 results
Published in groovy-proposed on 2020-08-18
csvkit (1.0.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.5
  * Refreshing No-privacy-breach.patch.
  * Requires python3-agatesql (>= 0.5.3).
  * Updating debian/copyright.
  * Adding 'Rules-Requires-Root: no'.

 -- Andrius Merkys <email address hidden>  Tue, 18 Aug 2020 02:02:12 -0400
Published in groovy-release on 2020-04-24
Published in focal-release on 2019-11-28
Deleted in focal-proposed (Reason: moved to Release)
csvkit (1.0.2-2) unstable; urgency=medium

  * Team upload.
  * Producing manpages with help2man.
  * Removing stdin_out.csv from Python package.
  * Removing csvkit.egg-info in dh_auto_clean.

 -- Andrius Merkys <email address hidden>  Thu, 28 Nov 2019 02:23:57 -0500

Available diffs

Superseded in focal-release on 2019-11-28
Published in eoan-release on 2019-04-18
Obsolete in disco-release on 2020-07-14
Obsolete in cosmic-release on 2020-07-13
Published in bionic-release on 2018-02-05
Deleted in bionic-proposed (Reason: moved to release)
csvkit (1.0.2-1) unstable; urgency=medium

  * Drop git-dpm and leave patches unapplied
  * Add recommended gbp configuration
  * Source future releases from GitHub
  * New upstream version 1.0.2 (Closes: #857352)
  * Drop the patch queue, no longer required
  * Update copyright information
    - Use HTTPS for the Format URI
    - Bump upstream copyright years
    - Rename the MIT license to Expat
  * Reformat the control file using cme
  * Move source package to utils section
  * Provide the cli in new binary package
    - New binary package: csvkit
    - New build dependencies: python3-agate{,dbf,excel,sql} and python3-six
    - Remove python-csvkit since agate is only available for Python 3
    - Sychronize the package descriptions with upstream
    - Use pybuild as the build system
  * Provide the docs in new binary package
    - New binary package: csvkit-doc
    - New build dependencies: python3-doc and python3-sphinx{,rtd-theme}
    - New patches: Use-the-packaged-docs.patch and No-privacy-breach.patch
    Thanks to Craig Sanders for reporting (Closes: #850583)
  * Enable testing during build
  * Add autopkgtest test suite
  * Bump the debhelper version to 11
  * Bump the standards version to 4.1.3
  * Support the nocheck and nodoc build profiles
  * Adopt the package
    - Transfer maintenance to the Debian Science Team
    - Add myself to the list of uploaders
    - Add myself to the copyright holders
    - Move packaging to salsa.debian.org (Closes: #888075)

 -- Ghislain Antony Vaillant <email address hidden>  Thu, 01 Feb 2018 09:59:49 +0000
Superseded in bionic-release on 2018-02-05
Obsolete in artful-release on 2020-07-10
Deleted in artful-proposed on 2020-07-10 (Reason: moved to release)
csvkit (0.9.1-3build1) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <email address hidden>  Fri, 28 Apr 2017 10:36:29 +0100
Superseded in artful-release on 2017-04-29
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-06-22 (Reason: moved to release)
csvkit (0.9.1-3) unstable; urgency=medium

  [ Sandro Tosi ]
  * debian/control
    - adjust Vcs-Browser to DPMT standards
    - explicitly add python3-pkg-resources to deps on python3-csvkit, needed to
      run CLI utils; Closes: #820694
    - bump Standards-Version to 3.9.8 (no changes needed)

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Sandro Tosi <email address hidden>  Mon, 18 Apr 2016 00:25:56 +0100

Available diffs

Superseded in yakkety-release on 2016-04-27
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed (Reason: moved to release)
csvkit (0.9.1-2) unstable; urgency=medium

  * debian/patches/dependencies-greater-or-equal.patch
    - set python modules dependecies to 'greater or equal' instead of strictly
      'equal'; patch by Alexandre Viau; Closes: #790913

 -- Sandro Tosi <email address hidden>  Tue, 18 Aug 2015 07:54:38 +0100

Available diffs

Superseded in wily-release on 2015-08-18
Deleted in wily-proposed on 2015-08-19 (Reason: moved to release)
csvkit (0.9.1-1) unstable; urgency=low

  * Initial release (Closes: #790699)

 -- Sandro Tosi <email address hidden>  Tue, 30 Jun 2015 18:25:47 -0400
17 of 7 results